using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LyonMag
{
  public  class Homepageclass
    {
        public class HomeComments
        {

            string comment_date;

            public string Comment_date
            {
                get { return comment_date; }
                set { comment_date = value; }
            }
            string comment_id;

            public string Comment_id
            {
                get { return comment_id; }
                set { comment_id = value; }
            }
            string comment_name;

            public string Comment_name
            {
                get { return comment_name; }
                set { comment_name = value; }
            }
            string comment_text;

            public string Comment_text
            {
                get { return comment_text; }
                set { comment_text = value; }
            }


            public int CompareTo(object obj)
            {

                HomeComments category = obj as HomeComments;
                if (category == null)
                {
                    throw new ArgumentException("Object is not Preson");
                }

                return this.comment_date.CompareTo(category.comment_date);
            }

        }
        public class Person  
        {
            string fulltitle;
            string title;
            string appimage;
            string header;
            string text;
            string date;
            string category;
            string id;
            string comments;
            string fulltext;
            string thumbtitle;
            string fulldate;
           

            public List<HomeComments> Home_comments { get; set; }
            public string Fulldate
            {
                get { return fulldate; }
                set { fulldate = value; }
            }
            public string Fulltitle
            {
                get { return fulltitle; }
                set { fulltitle = value; }
            }
            public string Thumbtitle
            {
                get { return thumbtitle; }
                set { thumbtitle = value; }
            }
            public string Fulltext
            {
                get { return fulltext; }
                set { fulltext = value; }
            }
            public string Comments
            {
                get { return comments; }
                set { comments = value; }
            }
            public string Id
            {
                get { return id; }
                set { id = value; }
            }
            public string Text
            {
                get { return text; }
                set { text = value; }
            }
            public string Date
            {
                get { return date; }
                set { date = value; }
            }
            public string Category
            {
                get { return category; }
                set { category = value; }
            }


            public string Title
            {
                get { return title; }
                set { title = value; }
            }

            public string AppImage
            {
                get { return appimage; }
                set { appimage = value; }
            }

            public string Header
            {
                get { return header; }
                set { header = value; }
            }

         
        }
    }
}
